ChangeSet 1.1557, 2003/12/29 12:21:02-08:00, akropel1@rochester.rr.com

[PATCH] USB: Stop hiddev generating empty events

hiddev is mistakenly returning empty hiddev_event structures for report
events. According to Documentation/usb/hiddev.txt, report events are
only sent when HIDDEV_FLAG_REPORT and HIDDEV_FLAG_UREF are both set.
Currently, report events from hid cause hiddev to generate empty
hiddev_event events when HIDDEV_FLAG_UREF is not set.


 drivers/usb/input/hiddev.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/input/hiddev.c b/drivers/usb/input/hiddev.c
--- a/drivers/usb/input/hiddev.c	Mon Dec 29 14:20:48 2003
+++ b/drivers/usb/input/hiddev.c	Mon Dec 29 14:20:48 2003
@@ -213,6 +213,7 @@
 	  ((type == HID_OUTPUT_REPORT) ? HID_REPORT_TYPE_OUTPUT : 
 	   ((type == HID_FEATURE_REPORT) ? HID_REPORT_TYPE_FEATURE:0));
 	uref.report_id = report->id;
+	uref.field_index = HID_FIELD_INDEX_NONE;
 
 	hiddev_send_event(hid, &uref);
 }
